#
# Conditional build:
%bcond_without	static_libs	# static libraries

Summary:	Freeware Advanced Audio Decoder 2
Summary(pl.UTF-8):	Darmowy zaawansowany dekoder audio
Name:		faad2
Version:	2.11.2
Release:	1
License:	GPL v2+
Group:		Applications/Sound
#Source0:	http://downloads.sourceforge.net/faac/%{name}-%{version}.tar.gz
#Source0Download: https://github.com/knik0/faad2/releases
Source0:	https://github.com/knik0/faad2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6a0ab532d81d9a528d08ab862bc4b637
Patch0:		%{name}-backward_compat.patch
URL:		https://github.com/knik0/faad2
BuildRequires:	cmake >= 3.15
BuildRequires:	rpmbuild(macros) >= 1.721
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch.

%description -l pl.UTF-8
FAAD 2 to napisany całkowicie od początku dekoder MPEG2 i MPEG-4
obsługujący profile LC, MAIN i LTP.

%package libs
Summary:	FAAD 2 libraries
Summary(pl.UTF-8):	Biblioteki FAAD 2
Group:		Libraries
%if 0%{?_soname_prov:1}
Provides:	%{_soname_prov libfaad.so.0}
%endif
Conflicts:	faad2 < 2.0-3

%description libs
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. This package contains base FAAD 2
libraries: libfaad and libfaad_drm.

%description libs -l pl.UTF-8
FAAD 2 to napisany całkowicie od początku dekoder MPEG2 i MPEG-4
obsługujący profile LC, MAIN i LTP. Ten pakiet zawiera podstawowe
biblioteki FAAD 2: libfaad i libfaad_drm.

%package devel
Summary:	Header files for faad2
Summary(pl.UTF-8):	Pliki nagłówkowe faad2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for faad2.

%description devel -l pl.UTF-8
Pliki nagłówkowe faad2.

%package static
Summary:	Static faad2 library
Summary(pl.UTF-8):	Statyczna biblioteka faad2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static faad2 library.

%description static -l pl.UTF-8
Statyczna biblioteka faad2.

%prep
%setup -q
%patch -P0 -p1

%build
%if %{with static_libs}
%cmake -B build-static \
	-DBUILD_SHARED_LIBS=OFF

%{__make} -C build-static
%endif

%cmake -B build

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT

# ensure files from shared build are packaged
%{__rm} $RPM_BUILD_ROOT%{_bindir}/faad
%{__rm} $RPM_BUILD_ROOT%{_pkgconfigdir}/faad2.pc
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# for compatibility with apps using dlopen("libfaad.so.0")
ln -sf $(basename $RPM_BUILD_ROOT%{_libdir}/libfaad.so.2.*.*) $RPM_BUILD_ROOT%{_libdir}/libfaad.so.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/faad
%{_mandir}/man1/faad.1*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libfaad.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfaad.so.2
# compat symlink
%attr(755,root,root) %{_libdir}/libfaad.so.0
%attr(755,root,root) %{_libdir}/libfaad_drm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfaad_drm.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfaad.so
%attr(755,root,root) %{_libdir}/libfaad_drm.so
%{_includedir}/faad.h
%{_includedir}/neaacdec.h
%{_pkgconfigdir}/faad2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfaad.a
%{_libdir}/libfaad_drm.a
%endif
%changelog
* Tue Mar 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/faad2.git;a=log;h=master

* Tue Mar 18 2025 Jakub Bogusz <qboosh@pld-linux.org> 74a09a2
- updated to 2.11.2

* Tue Mar 18 2025 Jakub Bogusz <qboosh@pld-linux.org> 62c5784
- use patch -P

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 43c8175
- updated to 2.11.1; uses cmake now, mpeg4ip and xmms plugins are gone

* Thu Mar 30 2023 Jakub Bogusz <qboosh@pld-linux.org> d7cfa91
- updated to 2.10.1

* Sun Nov 01 2020 Jan Palus <atler@pld-linux.org> 4f3f8bc
- up to 2.10.0

* Tue May 19 2020 Jakub Bogusz <qboosh@pld-linux.org> ac4a871
- updated to 2.9.2
  (fixes CVE-2018-19502 CVE-2018-19503 CVE-2018-19504 CVE-2018-20194 CVE-2018-20195 CVE-2018-20196
  CVE-2018-20197 CVE-2018-20198 CVE-2018-20199 CVE-2018-20357 CVE-2018-20358 CVE-2018-20359
  CVE-2018-20360 CVE-2018-20361 CVE-2018-20362 CVE-2019-6956 CVE-2019-15296)
- mp4ff library has been removed upstream, but xmms plugin still requires it,
  so use externally packaged mp4ff, updated mp4ff patch accordingly

* Wed Jan 31 2018 Jan Rękorajski <baggins@pld-linux.org> 3ef74a3
- up to 2.8.8

* Fri Dec 15 2017 Jakub Bogusz <qboosh@pld-linux.org> aff333c
- updated to 2.8.6 (new soname, but keep libfaad.so.0 symlink for compatibility)
- updated mpeg4ip,backward_compat,mp4ff patches
- removed obsolete soname,man patches

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> 012e207
- fix install
- rel 6

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> 5394a20
- disable mpeg4ip support
- rel 5

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 0e12fce
- release 4 (by relup.sh)

* Fri May 10 2013 Marcin Krol <hawk@tld-linux.org> aa497f0
- fix build without xmms

* Wed May 08 2013 Marcin Krol <hawk@tld-linux.org> 06eb04d
- release 2 (by relup.sh)

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> ea603bc
- added mp4v2 patch (adjust for mpeg4ip with updated mp4v2)

* Mon Oct 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 45e28ee
- updated to 2.7
- updated backward_compat,make,mp4ff patches
- removed obsolete ac patch
- added man patch and mv to install man page as faad2(1)

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> cbb6007
- release 6

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> b4d7090
- realy package mp4ff_int_types.h

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> d9fc27f
- intall mp4ff_int_types.h too
- rel. 4

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> 8460ebc
- build and package shared libmp4ff
- rel. 3

* Wed Sep 16 2009 tommat <tommat@pld-linux.org> b62e63c
- add missing AC_PROG_CXX to configure.in

